ImplicitActivationPolicyValue (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableServer
Class ImplicitActivationPolicyValue

    java.lang.Object
      |
      +--org.omg.PortableServer.ImplicitActivationPolicyValue

All Implemented Interfaces:
  IDLEntity, Serializable

public class ImplicitActivationPolicyValue
extends Object
implements IDLEntity

ImplicitActivationPolicyValue has the following semantics. IMPLICIT_ACTIVATION to indicate implicit activation of servants. This requires SYSTEM_ID and RETAIN policies to be set. NO_IMPLICIT_ACTIVATION to indicate no implicit servant activation.

Field Summary
`static int` | `_IMPLICIT_ACTIVATION`
`static int` | `_NO_IMPLICIT_ACTIVATION`
`static ImplicitActivationPolicyValue` | `IMPLICIT_ACTIVATION`
`static ImplicitActivationPolicyValue` | `NO_IMPLICIT_ACTIVATION`

Constructor Summary
`protected` | `ImplicitActivationPolicyValue(int value)`

Method Summary
`static ImplicitActivationPolicyValue` | `from_int(int value)`
`int` | `value()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _IMPLICIT_ACTIVATION

    public static final int _IMPLICIT_ACTIVATION

See Also:
  Constant Field Values

### IMPLICIT_ACTIVATION

    public static final ImplicitActivationPolicyValue IMPLICIT_ACTIVATION

### _NO_IMPLICIT_ACTIVATION

    public static final int _NO_IMPLICIT_ACTIVATION

See Also:
  Constant Field Values

### NO_IMPLICIT_ACTIVATION

    public static final ImplicitActivationPolicyValue NO_IMPLICIT_ACTIVATION

Constructor Detail

### ImplicitActivationPolicyValue

    protected ImplicitActivationPolicyValue(int value)

Method Detail

### value

    public int value()

### from_int

    public static ImplicitActivationPolicyValue from_int(int value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.